package com.fs.task.service;

import java.util.List;
import com.fs.task.domain.TaskMaterialInfo;

/**
 * 材料信息Service接口
 * 
 * @author fs
 * @date 2026-01-04
 */
public interface ITaskMaterialInfoService 
{
    /**
     * 查询材料信息
     * 
     * @param id 材料信息主键
     * @return 材料信息
     */
    public TaskMaterialInfo selectTaskMaterialInfoById(Long id);

    /**
     * 查询材料信息列表
     * 
     * @param taskMaterialInfo 材料信息
     * @return 材料信息集合
     */
    public List<TaskMaterialInfo> selectTaskMaterialInfoList(TaskMaterialInfo taskMaterialInfo);

    /**
     * 新增材料信息
     * 
     * @param taskMaterialInfo 材料信息
     * @return 结果
     */
    public int insertTaskMaterialInfo(TaskMaterialInfo taskMaterialInfo);

    /**
     * 修改材料信息
     * 
     * @param taskMaterialInfo 材料信息
     * @return 结果
     */
    public int updateTaskMaterialInfo(TaskMaterialInfo taskMaterialInfo);

    /**
     * 批量删除材料信息
     * 
     * @param ids 需要删除的材料信息主键集合
     * @return 结果
     */
    public int deleteTaskMaterialInfoByIds(Long[] ids);

    /**
     * 删除材料信息信息
     * 
     * @param id 材料信息主键
     * @return 结果
     */
    public int deleteTaskMaterialInfoById(Long id);

    List<TaskMaterialInfo> selectTaskMaterialInfoByTaskId(Long taskId);
}
